<?php namespace Romanah\Gokbakja\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableUpdateRomanahGokbakjaSewerProduction10 extends Migration
{
    public function up()
    {
        Schema::table('romanah_gokbakja_sewer_production', function($table)
        {
            $table->double('defective_repair_qty', 10, 0)->nullable();
            $table->integer('machine_id')->nullable();
            $table->double('pipe_weight', 10, 0)->nullable();
            $table->integer('shift_id')->nullable();
        });
    }
    
    public function down()
    {
        Schema::table('romanah_gokbakja_sewer_production', function($table)
        {
            $table->dropColumn('defective_repair_qty');
            $table->dropColumn('machine_id');
            $table->dropColumn('pipe_weight');
            $table->dropColumn('shift_id');
        });
    }
}
